Skip to content

API reference

API: Meta

Markdown version

MethodPathWhat it doesScope
GET/v1/schemasList resources that have a JSON Schema—
GET/v1/schemas/:resourceJSON Schema for one resource—

Examples

GET /v1/schemas

List resources that have a JSON Schema

curl -s "https://api.closefinch.com/v1/schemas" \
  -H "Authorization: Bearer $RA_API_KEY"
const res = await fetch(`https://api.closefinch.com/v1/schemas`, {
  method: "GET",
  headers: { authorization: `Bearer ${process.env.RA_API_KEY}` },
});
const data = await res.json();

GET /v1/schemas/$RESOURCE

JSON Schema for one resource

curl -s "https://api.closefinch.com/v1/schemas/$RESOURCE" \
  -H "Authorization: Bearer $RA_API_KEY"
const res = await fetch(`https://api.closefinch.com/v1/schemas/${resource}`, {
  method: "GET",
  headers: { authorization: `Bearer ${process.env.RA_API_KEY}` },
});
const data = await res.json();

Request and response schemas: https://www.closefinch.com/openapi.json. All resources: API reference.

Send feedback

Tell us what's broken, confusing or missing on this page, or an idea. It goes to the team that builds the product.

Please don't include passwords or card numbers.
Only to reply about this. Never added to any mailing list.